begin
  require 'rb-inotify'
rescue LoadError
  puts "Cannot load rb-inotify"
end

require 'fssm'

FSSM.monitor('.', '**/*') do
  update { |b, r| puts "Update in #{b} to #{r}" }
  delete { |b, r| puts "Delete in #{b} to #{r}" }
  create { |b, r| puts "Create in #{b} to #{r}" }
end
